package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCampaign;

import java.util.List;

/**
 * @author gongbiao
 */
public interface WxCampaignMapper extends CommonMapper<WxCampaign, Long> {

    List<WxCampaign> findList(WxCampaign wxCampaign);

    List<WxCampaign> findCList(WxCampaign wxCampaign);

    int getMaxSortNum(String tenantId);

    List<WxCampaign> queryNotify(WxCampaign wxCampaign);

    void campaignExipred(WxCampaign campaign);

    void campaignCompletion(WxCampaign campaign);
}
